[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ButtonPanel' (#lcl)

# TCustomButtonPanel.Align

Indicates the alignment used for the panel relative to the owner for the panel.

## Declaration

Source position: buttonpanel.pas line 101

`public property TCustomButtonPanel.Align : TAlign default alBottom;`

## Description

Align is a public property in TCustomButtonPanel used to specify the border (or edge) where the panel (and its buttons and bevel) are aligned. The default value for the property is alBottom.

Changing the value in Align causes the private UpdateButtonLayout, UpdateBevel, and UpdateSizes methods to be called.

Use AutoSize to enable or disable auto-sizing for the non-aligned or anchored dimensions in the control.

## See also

TCustomButtonPanel.AutoSize |  | Indicates if the panel can automatically adjust its size.